using System;
using System.Data;
using System.Collections.Generic;

using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
    /// <summary>
    /// T_Web_WorkRelease
    /// </summary>
    public partial class T_Web_WorkRelease
    {
        private readonly CallCenterApi.DAL.T_Web_WorkRelease dal = new CallCenterApi.DAL.T_Web_WorkRelease();
        public T_Web_WorkRelease()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(string F_WorkOrderId)
        {
            return dal.Exists(F_WorkOrderId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(CallCenterApi.Model.T_Web_WorkRelease model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(CallCenterApi.Model.T_Web_WorkRelease model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(string F_WorkOrderId)
        {

            return dal.Delete(F_WorkOrderId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_WorkOrderIdlist)
        {
            return dal.DeleteList(F_WorkOrderIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public CallCenterApi.Model.T_Web_WorkRelease GetModel(string F_WorkOrderId)
        {

            return dal.GetModel(F_WorkOrderId);
        }



        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Web_WorkRelease> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<CallCenterApi.Model.T_Web_WorkRelease> DataTableToList(DataTable dt)
        {
            List<CallCenterApi.Model.T_Web_WorkRelease> modelList = new List<CallCenterApi.Model.T_Web_WorkRelease>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                CallCenterApi.Model.T_Web_WorkRelease model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new CallCenterApi.Model.T_Web_WorkRelease();
                    if (dt.Rows[n]["F_WorkOrderId"] != null && dt.Rows[n]["F_WorkOrderId"].ToString() != "")
                    {
                        model.F_WorkOrderId = dt.Rows[n]["F_WorkOrderId"].ToString();
                    }
                    if (dt.Rows[n]["F_ReleaseState"] != null && dt.Rows[n]["F_ReleaseState"].ToString() != "")
                    {
                        model.F_ReleaseState = int.Parse(dt.Rows[n]["F_ReleaseState"].ToString());
                    }
                    if (dt.Rows[n]["F_EffectiveState"] != null && dt.Rows[n]["F_EffectiveState"].ToString() != "")
                    {
                        model.F_EffectiveState = int.Parse(dt.Rows[n]["F_EffectiveState"].ToString());
                    }
                    if (dt.Rows[n]["F_EffectiveTime"] != null && dt.Rows[n]["F_EffectiveTime"].ToString() != "")
                    {
                        model.F_EffectiveTime = DateTime.Parse(dt.Rows[n]["F_EffectiveTime"].ToString());
                    }
                    if (dt.Rows[n]["F_Releaser"] != null && dt.Rows[n]["F_Releaser"].ToString() != "")
                    {
                        model.F_Releaser = dt.Rows[n]["F_Releaser"].ToString();
                    }
                    if (dt.Rows[n]["F_ReleaseTime"] != null && dt.Rows[n]["F_ReleaseTime"].ToString() != "")
                    {
                        model.F_ReleaseTime = DateTime.Parse(dt.Rows[n]["F_ReleaseTime"].ToString());
                    }
                    if (dt.Rows[n]["F_WorkState"] != null && dt.Rows[n]["F_WorkState"].ToString() != "")
                    {
                        model.F_WorkState = int.Parse(dt.Rows[n]["F_WorkState"].ToString());
                    }
                    if (dt.Rows[n]["F_WorkSort"] != null && dt.Rows[n]["F_WorkSort"].ToString() != "")
                    {
                        model.F_WorkSort = int.Parse(dt.Rows[n]["F_WorkSort"].ToString());
                    }
                    if (dt.Rows[n]["F_AcceptTime"] != null && dt.Rows[n]["F_AcceptTime"].ToString() != "")
                    {
                        model.F_AcceptTime = DateTime.Parse(dt.Rows[n]["F_AcceptTime"].ToString());
                    }
                    if (dt.Rows[n]["F_FeedbackTime"] != null && dt.Rows[n]["F_FeedbackTime"].ToString() != "")
                    {
                        model.F_FeedbackTime = DateTime.Parse(dt.Rows[n]["F_FeedbackTime"].ToString());
                    }
                    if (dt.Rows[n]["F_Title"] != null && dt.Rows[n]["F_Title"].ToString() != "")
                    {
                        model.F_Title = dt.Rows[n]["F_Title"].ToString();
                    }
                    if (dt.Rows[n]["F_Content"] != null && dt.Rows[n]["F_Content"].ToString() != "")
                    {
                        model.F_Content = dt.Rows[n]["F_Content"].ToString();
                    }
                    if (dt.Rows[n]["F_Opinion"] != null && dt.Rows[n]["F_Opinion"].ToString() != "")
                    {
                        model.F_Opinion = dt.Rows[n]["F_Opinion"].ToString();
                    }
                    if (dt.Rows[n]["F_Department"] != null && dt.Rows[n]["F_Department"].ToString() != "")
                    {
                        model.F_Department = int.Parse(dt.Rows[n]["F_Department"].ToString());
                    }
                    if (dt.Rows[n]["F_Result"] != null && dt.Rows[n]["F_Result"].ToString() != "")
                    {
                        model.F_Result = dt.Rows[n]["F_Result"].ToString();
                    }
                    if (dt.Rows[n]["F_ViewCount"] != null && dt.Rows[n]["F_ViewCount"].ToString() != "")
                    {
                        model.F_ViewCount = int.Parse(dt.Rows[n]["F_ViewCount"].ToString());
                    }
                    if (dt.Rows[n]["F_DeptID"] != null && dt.Rows[n]["F_DeptID"].ToString() != "")
                    {
                        model.F_DeptID = int.Parse(dt.Rows[n]["F_DeptID"].ToString());
                    }
                    if (dt.Rows[n]["F_InfoConType"] != null && dt.Rows[n]["F_InfoConType"].ToString() != "")
                    {
                        model.F_InfoConType = dt.Rows[n]["F_InfoConType"].ToString();
                    }
                    if (dt.Rows[n]["F_BackDate"] != null && dt.Rows[n]["F_BackDate"].ToString() != "")
                    {
                        model.F_BackDate = DateTime.Parse(dt.Rows[n]["F_BackDate"].ToString());
                    }
                    if (dt.Rows[n]["F_AssignedIdea"] != null && dt.Rows[n]["F_AssignedIdea"].ToString() != "")
                    {
                        model.F_AssignedIdea = dt.Rows[n]["F_AssignedIdea"].ToString();
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
        #region addMethod
        /// <summary>
        /// 更新发布状态
        /// </summary>
        /// <param name="id"></param>
        /// <param name="strWhere"></param>
        /// <returns></returns>
        public bool UpdateBy(string id, string strWhere)
        {
            return dal.UpdateBy(id, strWhere);
        }
        #endregion
    }

}

